# stick
[![GoDoc](https://godoc.org/git.sr.ht/~tslocum/stick?status.svg)](https://godoc.org/git.sr.ht/~tslocum/stick)
[![builds.sr.ht status](https://builds.sr.ht/~tslocum/stick.svg)](https://builds.sr.ht/~tslocum/stick?)

Shareable Git-backed Markdown-formatted notes

## Demo

[**Click here to try stick**](https://stick.rocketnine.space/#login/c89f5381659ad34bd84967fdbbb5e76834495063dc93ed3902bf4e186f4def90)

**Note:** Read-only except checking/un-checking items.

## Install

There are two ways to install stick:

### Download

Prebuilt binaries are available [here](https://stick.rocketnine.space/download/).

### Build

```
GO111MODULE=on go get -u git.sr.ht/~tslocum/stick
```

## Configure

Initialize a notebook by creating an empty git repository:

```
stick init /home/stick/notes/johnsnotes
```

Configure stick via ~/.config/stick/stick.yml (or elsewhere by using --config later)

```yaml
# Used when hashing data (set to a random string)
salt: xXxsh3cr3txXx

# Serve notes on localhost only
# Set to :9991 to serve on all interfaces (not recommended, use a reverse proxy instead)
serve: localhost:9991

# Authors are defined by email and name (used when committing)
authors:
  john@hotmail.com: John Doe
  jane@aol.com: Jane Doe

# Notebooks can be shared between authors with varying access levels
# When an access level isn't specified, read/write is assumed
# John's notebook allows read/write access to himself and read-only access to Jane
notebooks:
  John's notes:
    repo: /home/stick/notes/johnsnotes
    serve:
      - john@hotmail.com
      - jane@aol.com: read

  Jane's notes:
    repo: /home/stick/notes/janesnotes
    serve:
      - jane@aol.com
      - john@hotmail.com: read

  Groceries:
    repo: /home/stick/notes/groceries
    serve:
      - john@hotmail.com
      - jane@aol.com
```

## Run

```
stick serve
```

### Annotations

Notes may be annotated to customize their display.

```
[//]: # (list,sort)

* [ ] Eggs
* [ ] Flour
* [X] Milk
```

#### list

Increase text and checkbox size, auto-capitalize items

#### sort

Sort items alphabetically

## Support

Share suggestions/issues [here](https://todo.sr.ht/~tslocum/stick).
