package main

import (
	git "gopkg.in/src-d/go-git.v4"
)

func InitializeRepository(worktree string, cloneurl string) (*git.Repository, error) {
	if cloneurl == "" {
		return git.PlainInit(worktree, false)
	}

	return git.PlainClone(worktree, false, &git.CloneOptions{
		URL: cloneurl,
	})
}

func LoadRepository(worktree string) (*git.Repository, error) {
	return git.PlainOpen(worktree)
}
